
@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    border: none;
    outline: none;
    scroll-behavior: smooth;
    font-family:'poppins',sans-serif;

}
:root{
    --bg-color:#fdfdfd;
    --text-color:#333;
    --main-color:#754ef9;
    --white-color:#fdfdfd;
    --shadow-color:rgba(0,0,0,.2);

}

.dark-mode{
    --bg-color:#0b061f;
    --text-color:#fdfdfd;
    --shadow-color:rgba(0,0,0,.7);

}

html{
    font-size: 62.5%;
    overflow-x: hidden;
}

body{
    background: var(--bg-color);
    color : var(--text-color);
}

header{
    position:fixed;
    top:0;
    left:0;
    width:100%;
    padding:2rem 7%;
    background:transparent;
    display :flex;
    align-items: center;
    z-index: 100;
    transition: .5s;

}

.header.sticky{
    background: var(--bg-color);
    box-shadow: 0 .2rem 1rem var(--shadow-color);
}

.logo{
    font-size: 2.5rem;
    color: var(--main-color);
    font-weight: 600;
    cursor: default;
    margin-right: auto;
}

.navbar a{
    position: relative;
    font-size: 1.7rem;
    color: var(--white-color);
    font-weight: 500;
    margin-right: 3.5rem;
}

.header.sticky .navbar a{
    color: var(--text-color);
}
.header.sticky .navbar a.active{
    color: var(--main-color);
}
.navbar a.active::before{
    content:'';
    position: absolute;
    left: 0;
    bottom: -6px;
    width: 100%;
    height: .2rem;
    background: var(--white-color);

}
.header.sticky .navbar a::before{
    background: var(--main-color);
    opacity: .7;
}
  
#darkmode-icon{
    font-size: 2.4rem;
    color: var(--white-color);
    cursor: pointer;
    
}

.header.sticky #darkmode-icon{
    color: var(--text-color);
    opacity: .9;
}

#menu-icon{
    font-size: 3.6rem;
    color: var(--text-color);
    display: none;
}

section{
    min-height: 100vh;
    padding: 10rem 7% 2rem;
}

.home{
    display: flex;
    align-items: center;
}

.home .home-content{
    max-width: 44rem;
}

.home-content h3{
    font-size: 3.2rem;
    font-weight: 400;
    line-height: .3;
}

.home-content h1{

    font-size: 5.0rem;
    font-weight: 600;
    margin-bottom: .3rem;

}

.home-content p{

    font-size: 1.3rem;
}

.home-content .social-media a{

    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 4rem;
    height: 4rem;
    background: transparent;
    border: .2rem solid var(--main-color);
    border-radius: 50%;
    box-shadow: 0 .2rem .5rem var(--shadow-color);
    font-size: 2rem;
    color: var(--main-color);
    margin: 2.5rem 1.5rem 3rem 0;
    transition: .5s ease;
}

.home-content .social-media a:hover{

    background: var(--main-color);
    color: var(--white-color);
}
.btn{
    display: inline-block;
    padding: 1.2rem 2.8rem;
    background: var(--main-color);
    border-radius: .6rem;
    box-shadow: 0.2rem .5rem var(--shadow-color);
    font-size: 1.6rem;
    color: var(--white-color);
    letter-spacing: .1rem;
    font-weight: 600;
    border: .2rem solid transparent;
    transition: .5s ease;
}

.btn:hover{
    background: transparent;
    color: var(--main-color);
    border-color:var(--main-color) ;
}


.home .profession-container{
   position: absolute;
   top: 50%;
   right: 0;
   transform: translateY(-45%);
   width: 700px;
   height: 700px;
   overflow: hidden;
   pointer-events: none;
   
}

.home .profession-container .profession-box{
    position: absolute;
    top: 0;
    right: 0;
    width: 768px;
    height: 768px;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.home .profession-box .profession{
    position: absolute;
    left: 46px;
    display: flex;
    align-items: center;
    flex-direction: column;
    color: var(--main-color);
    transform: rotate(calc(360deg/2 * var(--i)));
    transform-origin: 384px;
    background:var(--bg-color);
    padding: 13px 38;
}

.home .profession-box .profession:nth-child(1) i{
    margin-right: 15px;
}
.home .profession-box .profession:nth-child(2){
    padding-bottom: 20px;
}

.home .profession i{
    font-size: 3.8rem;
}

.home .profession h3{
    font-size: 3.2rem;
    line-height: 1;
    font-weight: 600;
   margin-left: 50px;

}

.home .profession-box .circle{
    width: 400px;
    height: 400px;
    border: 3px solid var(--main-color);
    border-radius: 50%;
}

.home .profession-container .overlay{
    position: absolute;
    top: 0;
    right: 0;
    width: 0;
    height: 0;
    border-top: 384px solid var(--main-color);
    border-right: 384px solid var(--main-color);
    border-bottom: 384px solid var(--main-color);
    border-left: 384px solid transparent;

}



span{
    color: var(--main-color);
}

.about{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 4rem;
    margin-top: 100px;
}

.about-img img{
    width: 30vw;
    padding-top:100px;
   
}

.heading{
    font-size: 5rem;
    text-align: center;

}

.about-content h2{
    text-align: left;
    line-height: 1.2;
}
.about-content h2{
    font-size: 2rem;

}

.about-content p{
    font-size: 1.6rem;
    margin: 2rem 0 3rem;
}

.skills .skills-container{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    gap: 2rem;
}

.skills-container .skills-box{
    flex: 1 1 30rem;
    background: var(--bg-color);
    padding: 3rem 2rem 4rem;
    border-radius: 2rem;
    box-shadow: 0 .1rem .5rem var(--shadow-color);
    text-align: center;
    border-top: .6rem solid var(--main-color);
    border-bottom: .6rem solid var(--main-color);
    transition: .5s ease;
}

.skills-container .skills-box:hover{
    box-shadow: 0 .1rem 2rem var(--shadow-color);
    transform: scale(1.02);

}
 .skills-box h2{
    font-size: 2rem;
    transition: .5s ease;
 }
 .skills-box p{
    font-size: 1.5rem;
    margin-top: 2rem;
 }
 .skills h2{
    margin-bottom: 3rem;

 }

 .skills{
    min-height: auto;
    padding-bottom: 5rem;
 }
  

 .skills-box:hover h2{
    color: var(--main-color);
 }

.certifications{
    padding-bottom: 10rem;
}

.certifications h2{
    margin-bottom: 4rem;
}

.certifications .certifications-container{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    align-items: center;
    gap: 2.5rem;
}

.certifications-container .certifications-box{
    position: relative;
    display: flex;
    border-radius: 1rem;
    box-shadow: 0 0 1rem rgba(0,0,0,.1);
    overflow: hidden;
}

.certifications-box img{
    width: 100%;
    transition: .5s ease;
}

.certifications-box:hover img{
    transform: scale(1.1);
}

.certifications-box .certifications-layer{
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(rgba( 0, 0, 0,.1), var(--main-color) );
    color: var(--white-color);
    display: flex;
    align-items: center;
    flex-direction: column;
    text-align: center;
    padding: 0 4rem;
    justify-content: center;
    transition: .5s ease;
    opacity: 0;

}



.certifications-box:hover  .certifications-layer{
    opacity: 1;
}

.certifications-layer h3{
    font-size: 2rem;
    color:black;
}


.certifications-layer p{
    font-size: 1.2rem;
    margin: .3rem 0 1rem;
}

.contact h2{
    margin-bottom: 3rem;
}

.contact form{
    max-width: 70rem;
    margin: 1rem auto;
    text-align: center;
    margin-bottom: 3rem;

}

.contact form .input-box{
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}

.contact form .input-box input,
.contact form textarea{
    width: 100%;
    padding: 1.5rem;
    font-size: 1.6rem;
    color: var(--text-color);
    background: var(--bg-color);
    margin: .7rem 0;
    border-radius: .8rem;
    box-shadow: 0 .1rem .5rem var(--shadow-color);
}

.contact form .input-box input{
    width: 49%;
}

.contact form textarea{
    resize: none;
}

.contact form .btn{
    margin-top: 2rem;
    cursor: pointer;
}

.footer{
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    padding: 2rem 7%;
    background: var(--main-color);
}

.footer-text p{
    font-size: 1.6rem;
    color: var(--white-color);

}

.footer-iconTop a{
    display: inline-flex;
    justify-content: center;
    align-items: center;
    padding: .8rem;
    background: var(--white-color);
    border-radius: .8rem;
    border: .2rem solid var(--main-color);
    outline: .2rem solid transparent;
    transition: .5s ease;
}

.footer-iconTop a:hover{
    outline-color: var(--white-color);
}

.footer-iconTop a i{
    font-size: 2.4rem;
    color: #333;
}





@media(max-width:1200px){
    html{
        font-size: 55%;

    }
    .home .profession-container{
        height: 85.8rem;
    }

    .home .profession-container .profession-box{
        right: -12rem;
        height: 85.8rem;
    }
    .home .profession-container .overlay{
        right: -9rem;
    }

    
}

@media(max-width:1024px){
    .header{
        padding: 2rem 3;

    }
    section{
        padding: 10rem 3% 2rem;
    }
    .home .profession-container .profession-box{
        right: -22rem;
    }
    .home .profession-container .overlay{
        right: -15rem;
    }
}

@media(max-width:991px){
    .navbar a:nth-child(1),
    .navbar a:nth-child(2){
        color: var(--main-color);
    }

    .navbar a.active::before{
        background: var(--main-color);
        opacity: .7;
    }

    .home .home-content{
        max-width: 50rem;
    }

    .home .profession-container .profession-box{
        right: -45rem;

    }
    .home .profession-container .overlay{
        right: -39rem;
    }

    .home-img img{
        display: none;
    }
    .skills,.certifications{
        padding-bottom: 7rem;
    }

    .contact{
        min-height: auto;
    }

    .footer{
        padding: 2rem 3%;
    }



}

@media(max-width:768px){
    #menu-icon{
        display: block; 
        margin-right: -2.5rem;
    }

    #darkmode-icon{
        position: absolute;
        right: 7rem;
        font-size: 2.6rem;
        color: var(--text-color);
        margin-bottom: .1rem;
    }

    .navbar{
        position: absolute;
        top: 100%;
        left: 0;
        width: 100%;
        padding: 1rem 3%;
        background: var(--bg-color);
        border-top: .1rem solid rgba(0,0,0,.2);
        box-shadow: 0 .5rem 1rem rgba( 0, 0, 0,.1);
        display: none;

    }
    .navbar.active{
        display: block;
    }
     .navbar a{
        display: block;
        font-size: 2rem;
        margin: 3rem 0;
        color: var(--text-color);

     }

    .navbar a:nth-child(1),
    .navbar a:nth-child(2){
        color: var(--text-color);

    }
    .navbar a.active{
        color: var(--main-color);
    }

    .navbar a::before{
        display: none;
    }

    .home{
        padding:  0 3% 23rem;
        justify-content: center;
        text-align: center;

    }

    .home-content h3{
        font-size: 2.6rem;
        margin-top: 7rem;
    }

    .home-content h1{
        font-size: 5rem;

    }

    .home-content .social-media a{
        margin: 2.5rem .75rem 3rem;

    }

    .home .profession-container{
        left: 0;
        width: 100%;
        height: 100%;
    }
    .home .profession-container .profession-box{
        position: fixed;
        top: 60%;
        left: 0;
        border-radius: 0;
        width: 100%;
    

    }
    .home .profession-box .profession{
        padding: 0 13px;
        left: auto;
        transform-origin: 0;

    }

    .home .profession-box .profession:nth-child(1){
        translate: rotate(90deg) translate(-120px -210px);

    }

    .home .profession-box .profession:nth-child(1) i{
        margin-right: 0;
    }

    .home .profession-box .profession:nth-child(2){
        translate: rotate(0deg) translate(0, -335px);

    }

    .home .profession-box .circle{
        position: fixed;
        width: 670px;
        height: 670px;
        z-index: -1;
    }

    .home .profession-container .overlay{
        position: fixed;
        top: 70rem;
        left: 50%;
        right: 0;
        transform: rotate(0deg) translate(-50%, 50%) scaleY(2);
        border-width: 23rem;

    }

    .about{
        flex-direction:column;
        text-align:center;
        margin-left: 5px;
    }

    .about-content h2{
        text-align: center;
    }

    .about-img img{
        width: 70vw;
        margin-top: -15rem;
    }

    .skills h2 , .certifications h2{
        margin-bottom: 3rem;

    }

    


}


@media(max-width:617px){
    .certifications .certifications-container{
        grid-template-columns: 1fr;
    }
}

@media(max-width:450px){
    html{
        font-size: 50%;
    }

    #darkmode-icon{
        right: 6rem;
    }
    .home{
        padding: 0 3% 30rem;
    }

 

    .contact form .input-box input{
        width: 100%;
    }

        .footer{
        flex-direction: column-reverse;
    }

    .footer p{
        text-align: center;
        margin-top: 2rem;
    }
     .home .profession-container{
        left: 0;
        width: 100%;
        height: 100%;
    }
    .home .profession-container .profession-box{
        position: fixed;
        top: 70%;
        left: 0;
        border-radius: 0;
        width: 95%;
    

    }
    .home .profession-box .profession{
        padding: 30px;
        right: 20px;
        margin-bottom: 50px;
        transform-origin: 2;

    }

    .home .profession-box .profession:nth-child(1){
        translate: rotate(90deg) translate(-120px -210px);

    }

    .home .profession-box .profession:nth-child(1) i{
        margin-right: 10px;
    }

    .home .profession-box .profession:nth-child(2){
        translate: rotate(0deg) translate(0, -335px);

    }

    .home .profession-box .circle{
        position: fixed;
        width: 550px;
        height: 550px;
        z-index: -2;
    }

    .home .profession-container .overlay{
        position: fixed;
        top: 60rem;
        left: 50%;
        right: 2;
        transform: rotate(90deg) translate(-50%, 50%) scaleY(2);
        border-width: 23rem;

    }



}
@media(max-width:365px){
        .home-content h1  {
        font-size: 25px;
    }
    
    .about-img img{
        width: 90vw;

    }

    .footer{
        flex-direction: column-reverse;
    }

    .footer p{
        text-align: center;
        margin-top: 2rem;
    }
    .home .profession-container{
        left: 0;
        width: 100%;
        height: 100%;
    }
    .home .profession-container .profession-box{
        position: fixed;
        top: 70%;
        left: 0;
        border-radius: 0;
        width: 95%;
    

    }
    .home .profession-box .profession{
        padding: 30px;
        right: 20px;
        margin-bottom: 50px;
        transform-origin: 2;

    }

    .home .profession-box .profession:nth-child(1){
        translate: rotate(90deg) translate(-120px -210px);

    }

    .home .profession-box .profession:nth-child(1) i{
        margin-right: 10px;
    }

    .home .profession-box .profession:nth-child(2){
        translate: rotate(0deg) translate(0, -335px);

    }

    .home .profession-box .circle{
        position: fixed;
        width: 550px;
        height: 550px;
        z-index: -2;
    }

    .home .profession-container .overlay{
        position: fixed;
        top: 60rem;
        left: 50%;
        right: 2;
        transform: rotate(90deg) translate(-50%, 50%) scaleY(2);
        border-width: 23rem;

    }

}

@media(max-width:260px){
     .home-content h1  {
        font-size: 25px;
    }
    .home-content h3 {
        margin-top: 80px;
    }
.certifications h2{
    font-size:33px;
}
.skills h2{
    font-size: 33px;
}

.contact h2{
    font-size: 33px;
}

  .home .profession-container{
        left: 0;
        width: 100%;
        height: 100%;
    }
    .home .profession-container .profession-box{
        position: fixed;
        top: 70%;
        left: 0;
        border-radius: 0;
        width: 95%;
    

    }
    .home .profession-box .profession{
        padding: 30px;
        right: 20px;
        margin-bottom: 50px;
        transform-origin: 2;

    }

    .home .profession-box .profession:nth-child(1){
        translate: rotate(90deg) translate(-120px -210px);

    }

    .home .profession-box .profession:nth-child(1) i{
        margin-right: 10px;
    }

    .home .profession-box .profession:nth-child(2){
        translate: rotate(0deg) translate(0, -335px);

    }

    .home .profession-box .circle{
        position: fixed;
        width: 550px;
        height: 550px;
        z-index: -2;
    }

    .home .profession-container .overlay{
        position: fixed;
        top: 60rem;
        left: 50%;
        right: 2;
        transform: rotate(90deg) translate(-50%, 50%) scaleY(2);
        border-width: 23rem;

    }


}






